
ViewManager subclass: #DialogDemo
  instanceVariableNames: 
    'applicant applicantStaticText '
  classVariableNames: ''
  poolDictionaries: '' !


!DialogDemo class methods !
  
example1

    "    DialogDemo example1    "

    DialogDemo new openOn: Applicant new!
  
example2

    "    DialogDemo example2    "

   | applicant |

    applicant := Applicant new.
    applicant name: 'Bill';
                    age: 34;
                    education: 'BA';
                    languages: (OrderedCollection with: 'Pascal' with: 'C++');
                    favoriteOS:  'Windows 95'.
   DialogDemo new openOn: applicant! !



!DialogDemo methods !
  
activateDialog: aButton

    ApplicantDlg new openOn: applicant.
    applicantStaticText contents: applicant asString.!
  
initWindowSize

        ^500@300!
 
openOn: anApplicant
 |groupPane|
    applicant := anApplicant.
    self label: 'Dialog Demo'.

   self addSubpane:
        (applicantStaticText := StaticText new
             contents: applicant asString;
            framingRatio: (0.10 @ 0.20 extent: 0.80 @ 0.60)).
    self addSubpane:
        (Button new
            owner: self;
            contents: 'Activate Dialog';
            when: #clicked perform: #activateDialog:;
            framingRatio: (0.25 @ 0.80 extent: 0.50 @ 0.10)).
    self openWindow! !
