
BankAccount subclass: #SavingsAccount
  instanceVariableNames: 
    'minimumBalance '
  classVariableNames: 
    'InterestRate '
  poolDictionaries: ''  !


!SavingsAccount class methods !
  
interestRate: aNumber
    InterestRate := aNumber!
 
new
    ^super new init! !



!SavingsAccount methods !

asString
    ^(super asString, '   minimumBalance: ',
        minimumBalance asDollarsAndCents, '\') withCrs!
 
init
    super init.
    minimumBalance := 0.00.
    InterestRate isNil ifTrue: [InterestRate := 0.6]!
   
monthlyChargeOrInterest
    | interest |
    interest := minimumBalance * InterestRate / 12.
    balance := balance + interest.
    minimumBalance := balance!
  
withdraw: aNumber
    | outcome |
    outcome := super withdraw: aNumber.
    outcome = 'accepted'
        ifTrue: [minimumBalance := minimumBalance min: balance].
    ^outcome! !
