
Object subclass: #Customer
  instanceVariableNames: 
    'name address '
  classVariableNames: ''
  poolDictionaries: ''  !


!Customer class methods !

fileInOn: aStream
"Inputs the customer's data into a new customer object and returns it."
    | customer |
    customer := self new.
    customer
        name: aStream nextLine;
        address: aStream nextLine.
    ^customer!
  
new
    ^super new init! !



!Customer methods !
  
address
    ^address!
  
address: aString
    address := aString!
   
asString
    ^(name, '\', address, '\') withCrs!
   
fileOutOn: aStream
"Outputs the customer's data to aStream."
    aStream nextPutAll: (name, '\', address, '\') withCrs!
   
init
    name := String new.
    address := String new.!
  
name
    ^name!

name: aString
    name := aString! !
