
Object subclass: #Applicant
  instanceVariableNames: 
    'name age education languages favoriteOS '
  classVariableNames: ''
  poolDictionaries: ''    !


!Applicant class methods !
   
example1

    "     Applicant example1   "

    | app |

    app := Applicant new.
    app name: 'Bill';
           age: 30;
           education: 'BA';
           favoriteOS: 'Windows 95';
           languages: (OrderedCollection with: 'COBOL' with: 'Smalltalk' with: 'C++').
    MessageBox message: app asString.!
 
example2

    "     Applicant example2    "

    | app |

    app := Applicant new.
    MessageBox message: app asString.!
   
new

    ^super new init! !



!Applicant methods !
   
age

    ^age!

age: aNumber

    age := aNumber!
 
asString

    | str |

    str :=       'Name:           ', name, '\'.
    (age ~= 0)
        ifTrue:  [str := str, 'Age:              ', age printString, '\']
        ifFalse: [str := str, 'Age: ', '\'].
    str := str, 'Education:    ', education, '\'.
    str := str, 'Favorite OS: ', favoriteOS, '\'.
    str := str, 'Languages:  '.
    languages do: [ :lang | str := str, lang, ', '].
    str at: str size - 1 put: $ .
    ^str withCrs!
  
education

    ^education!

education: aString

    education := aString!
 
favoriteOS

    ^favoriteOS!
  
favoriteOS: aString

    favoriteOS := aString!
   
init

    name := ''.
    age := 0.
    education := ''.
    favoriteOS := ''.
    languages := OrderedCollection new.!
   
languages

    ^languages!

languages: anOrderedCollection

    languages := anOrderedCollection!
 
name

    ^name!
  
name: aString

     name  := aString! !
